import { Rule, Tree } from '@angular-devkit/schematics';
import { NgAddOptions } from './ng-add.options';
export declare function lfAppSchematic(_options: NgAddOptions): Rule;
/**
 * Adds the lf bootstraps theme scss sytles to styles.scss
 * @param tree - project file tree
 */
export declare function addLfStylesScss(tree: Tree): void;
/**
 * Modifies the app routing module file in include lf router base path
 * @param tree - project file tree
 */
export declare function modifyAppRoutingModule(tree: Tree): void;
/**
 * Creates a new default lf app html
 * @param tree - app file tree
 */
export declare function modifyAppHtmlFile(tree: Tree): void;
/**
 * Creates app.schema.ts file
 * @param tree - app files tree
 */
export declare function createAppSchemaFile(tree: Tree): void;
/**
 * Add app lf providers and module imports
 * @param tree - app file tree
 */
export declare function declareAppProvidersAndImports(tree: Tree): void;
/**
 * Declares lf-bootstrapt theme in the package.json dependencies
 * @param tree - project file tree
 */
export declare function addLfDependencies(tree: Tree): void;
/**
 * Create all the langs app files defined in the i18n.json file
 * @param tree - app file tree
 */
export declare function createI18NFiles(tree: Tree, langs: string[], i18nFolderName: string): void;
/**
 * Creates all the app i18n files based on the array received in the export function arguments
 * @param tree - app file tree
 * @param lfLanguages - lf i18n files to be create
 */
export declare function createI18NAppFiles(tree: Tree, lfLanguages: string[], i18nFolderName: string): void;
/**
 * Creates the app file that contains all the app tranlations files in all the
 * existing app idioms
 * @param tree - aap file tree
 * @param lfLanguages - app 18n files
 */
export declare function createI18NGlobalFile(tree: Tree, lfLanguages: string[], i18nFolderName: string): void;
