/**
 * Given a string transforms it in a camel cased string
 * @param str - string to be camelized
 */
export declare function camelize(str: string): string;
/**
 * Given a camel case name transforms it in a file format.
 * Ex.: reservationDetails -> reservation-details
 * @param component - component name in camel case forme
 * @pre - component needs to be in camel case form
 */
export declare function convertToFileSytemFormat(camelCase: string): string;
export declare function convertFileSytemToCamelCaseFormat(fileFormat: string): string;
/**
 * Given the new component name in camel case and the language in xx-XX
 * format generates the component I18N identifier
 * Ex.: reservationDetais & en-US -> RESERVATION_DETAILS_I18N_US_US
 * @param component - new component name
 * @param lang - language
 */
export declare function formatLangName(component: string, lang: string): string;
/**
 * Convert the first char of a string in camel case to uppercase
 * @param compName - component name in camel case
 */
export declare function camelCaseToCompName(compName: string): string;
